#include <nemo/stdint.h>
#include <nemo/unixtypes.h>
#include <nemo/install.h>

#include "auto_home.h"

void hier(void);

void hier(void)
{
  h(auto_home, (uid_t)-1, (gid_t)-1, 0755);

  d(auto_home, "bin", (uid_t)-1, (gid_t)-1, 0755);
  d(auto_home, "lib", (uid_t)-1, (gid_t)-1, 0755);
  d(auto_home, "include", (uid_t)-1, (gid_t)-1, 0755);
  d(auto_home, "include/nemo", (uid_t)-1, (gid_t)-1, 0755);
  d(auto_home, "man", (uid_t)install_manuid, (gid_t)-1, 0755);
  d(auto_home, "man/man1", (uid_t)install_manuid, (gid_t)-1, 0755);
  d(auto_home, "man/man3", (uid_t)install_manuid, (gid_t)-1, 0755);
  d(auto_home, "man/man5", (uid_t)install_manuid, (gid_t)-1, 0755);
  d(auto_home, "man/cat1", (uid_t)install_manuid, (gid_t)-1, 0755);
  d(auto_home, "man/cat3", (uid_t)install_manuid, (gid_t)-1, 0755);
  d(auto_home, "man/cat5", (uid_t)install_manuid, (gid_t)-1, 0755);

  c(auto_home, "lib", "libmess822.a", (uid_t)-1, (gid_t)-1, 0644);
  c(auto_home, "include/nemo", "mess822.h", (uid_t)-1, (gid_t)-1, 0644);
  c(auto_home, "include/nemo", "rewritehost.h", (uid_t)-1, (gid_t)-1, 0644);

  c(auto_home, "bin", "822address", (uid_t)-1, (gid_t)-1, 0755);
  c(auto_home, "bin", "822attach", (uid_t)-1, (gid_t)-1, 0755);
  c(auto_home, "bin", "822field", (uid_t)-1, (gid_t)-1, 0755);
  c(auto_home, "bin", "822header", (uid_t)-1, (gid_t)-1, 0755);
  c(auto_home, "bin", "822date", (uid_t)-1, (gid_t)-1, 0755);
  c(auto_home, "bin", "822received", (uid_t)-1, (gid_t)-1, 0755);
  c(auto_home, "bin", "822print", (uid_t)-1, (gid_t)-1, 0755);

  c(auto_home, "man/man1", "822address.1", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_home, "man/man1", "822attach.1", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_home, "man/man1", "822date.1", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_home, "man/man1", "822field.1", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_home, "man/man1", "822header.1", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_home, "man/man1", "822received.1", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_home, "man/man1", "822print.1", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_home, "man/man3", "mess822.3", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_home, "man/man3", "mess822_addrlist_scan.3", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_home, "man/man3", "mess822_date.3", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_home, "man/man3", "mess822_fold.3", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_home, "man/man3", "mess822_header_excludes.3", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_home, "man/man3", "mess822_mime_delimiter.3", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_home, "man/man3", "mess822_quote.3", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_home, "man/man3", "mess822_slurp_headers.3", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_home, "man/man3", "mess822_tai.3", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_home, "man/man3", "mess822_token.3", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_home, "man/man3", "mess822_when.3", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_home, "man/man3", "rewritehost.3", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_home, "man/man5", "rewriting.5", (uid_t)install_manuid, (gid_t)-1, 0644);

  c(auto_home, "man/cat1", "822address.0", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_home, "man/cat1", "822attach.0", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_home, "man/cat1", "822date.0", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_home, "man/cat1", "822field.0", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_home, "man/cat1", "822header.0", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_home, "man/cat1", "822received.0", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_home, "man/cat1", "822print.0", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_home, "man/cat3", "mess822.0", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_home, "man/cat3", "mess822_addrlist_scan.0", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_home, "man/cat3", "mess822_date.0", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_home, "man/cat3", "mess822_fold.0", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_home, "man/cat3", "mess822_header_excludes.0", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_home, "man/cat3", "mess822_mime_delimiter.0", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_home, "man/cat3", "mess822_quote.0", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_home, "man/cat3", "mess822_slurp_headers.0", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_home, "man/cat3", "mess822_tai.0", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_home, "man/cat3", "mess822_token.0", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_home, "man/cat3", "mess822_when.0", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_home, "man/cat3", "rewritehost.0", (uid_t)install_manuid, (gid_t)-1, 0644);
  c(auto_home, "man/cat5", "rewriting.0", (uid_t)install_manuid, (gid_t)-1, 0644);
}
