#include "mess822.h"

unsigned int mess822_addrlist_append(register mess822_addrlist *addrlist, const stralloc *data, char type)
{
  if (!mess822_addrlist_readyplus(addrlist, 1)) return 0;
  if (!stralloc_copy(&(addrlist->ad[addrlist->len].data), data)) return 0;
  addrlist->ad[addrlist->len].type = type;
  addrlist->len++;  /* only do this after everything is ok */
  return 1;
}
