#include <nemo/macro_unused.h>

#include "mess822.h"

static unsigned int false(const stralloc *sa __UNUSED__)
{
  return 0;
}

unsigned int mess822_begin(mess822_header *h, mess822_action *a)
{
  h->action = a;
  h->exclude = false;
  for (;;) {
    if (a->flag) {
      *(a->flag) = 0;
    }
    if (a->copy) {
      if (!sa_vector_erase(a->copy)) return 0;
    }
    if (a->value) {
      if (!sa_vector_erase(a->value)) return 0;
    }
    if (a->addr) {
      if (!mess822_addrlist_erase(a->addr)) return 0;
    }
    if (a->when) {
      a->when->known = 0;
    }
    if (!a->name) break;
    ++a;
  }
  return stralloc_erase(&h->inprogress);
}
