#include "mess822.h"

unsigned int mess822_line(mess822_header *h, const stralloc *line)
{
  if (!line->len) return 1;
  if ((line->s[0] == ' ') || (line->s[0] == '\t')) {
    return stralloc_cat(&h->inprogress, line);
  }
  if (!mess822_end(h)) return 0;
  return stralloc_copy(&h->inprogress, line);
}
