#include <nemo/stdint.h>
#include <nemo/unixtypes.h>
#include <nemo/tai.h>
#include <nemo/taia.h>
#include <nemo/unix.h>

#include "mess822.h"

unsigned int mess822_multipart_line(stralloc *out, const char *type, const stralloc *delimiter)
{
  if (!stralloc_copyb(out, "Content-Type: multipart/", 24)) return 0;
  if (!stralloc_cats(out, type)) return 0;
  if (!stralloc_catb(out, "; boundary=\"", 12)) return 0;
  if (!stralloc_cat(out, delimiter)) return 0;
  if (!stralloc_catb(out, "\"\n", 2)) return 0;
  return 1;
}
