#include "mess822.h"

unsigned int mess822_need_quote(const stralloc *sa, unsigned int len)
{
  register unsigned int i;
  register char ch;
  char *buf;

  buf = sa->s;
  if (!len) return 1;
  if (buf[0] == '.') return 1;
  if (buf[len - 1] == '.') return 1;

  for (i = 0; i < len - 1; ++i) {
    if ((buf[i] == '.') && (buf[i + 1] == '.')) return 1;
  }
  for (i = 0; i < len; ++i) {
    ch = buf[i];
    if (ch < 33) return 1;
    if (ch > 126) return 1;
    if (ch == '@') return 1;
    if (ch == '<') return 1;
    if (ch == '>') return 1;
    if (ch == '[') return 1;
    if (ch == ']') return 1;
    if (ch == '(') return 1;
    if (ch == ')') return 1;
    if (ch == ',') return 1;
    if (ch == ';') return 1;
    if (ch == ':') return 1;
    if (ch == '"') return 1;
    if (ch == '\\') return 1;
  }

  return 0;
}
